package com.atmob.keyboard_android.component

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.atmob.keyboard_android.R
import com.atmob.keyboard_android.component.base.BaseUIComponent

/**
 * 设置页
 */
class SettingComponent @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : BaseUIComponent(context, attrs, defStyleAttr) {
    private lateinit var vSettingCustomPersonLayout: View
    private lateinit var vSettingMarketLayout: View
    private lateinit var vSettingUnlockVipLayout: View

    override fun onInflateViewId(): Int {
        return R.layout.component_setting
    }

    override fun findView(view: View) {
        vSettingCustomPersonLayout = view.findViewById(R.id.setting_custom_person_layout)
        vSettingMarketLayout = view.findViewById(R.id.setting_market_layout)
        vSettingUnlockVipLayout = view.findViewById(R.id.setting_unlock_vip_layout)
    }

    override fun bindView(view: View) {
        vSettingCustomPersonLayout.setOnClickListener {
        }
        vSettingMarketLayout.setOnClickListener {
        }
        vSettingUnlockVipLayout.setOnClickListener {
        }
    }
}